aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.md2
-rw-r--r--locale/eo/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po69
-rw-r--r--locale/fr/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po69
-rw-r--r--locale/pt/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po69
4 files changed, 139 insertions, 70 deletions
diff --git a/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.md b/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.md
index b26a06e..d198845 100644
--- a/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.md
+++ b/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.md
@@ -24,7 +24,7 @@ In most of my project I like to keep a `test` attribute which runs the test with
set -Eeuo pipefail
set -x
-LOGS_PREFIX="/data/static/ci-logs/libedn"
+LOGS_DIR="/data/static/ci-logs/libedn"
mkdir -p "$LOGS_DIR"
LOGFILE="${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log"
exec &> >(tee -a "${LOGFILE}")
diff --git a/locale/eo/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po b/locale/eo/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
index cbc72d1..9734c9f 100644
--- a/locale/eo/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
+++ b/locale/eo/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
@@ -29,29 +29,6 @@ msgid ""
msgstr ""
msgid ""
-"#!/usr/bin/env bash\n"
-"set -Eeuo pipefail\n"
-"set -x\n"
-"\n"
-"LOGS_PREFIX=\"/data/static/ci-logs/libedn\"\n"
-"mkdir -p \"$LOGS_DIR\"\n"
-"LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
-"exec &> >(tee -a \"${LOGFILE}\")\n"
-"\n"
-"unset GIT_DIR\n"
-"CLONE=\"$(mktemp -d)\"\n"
-"git clone . \"$CLONE\"\n"
-"pushd \"$CLONE\"\n"
-"\n"
-"finish() {\n"
-" printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
-"}\n"
-"trap finish EXIT\n"
-"\n"
-"nix-build -A test\n"
-msgstr ""
-
-msgid ""
"We initially (lines #5 to #8) create a log file, named after *when* the run "
"is running and for *which* commit it is running for. The `exec` and `tee` "
"combo allows the output of the script to go both to `stdout` *and* the log "
@@ -89,3 +66,49 @@ msgid ""
"memory. So if it has to download too many things, or the build closure gets "
"too big, the server might very well run out of memory."
msgstr ""
+
+msgid ""
+"#!/usr/bin/env bash\n"
+"set -Eeuo pipefail\n"
+"set -x\n"
+"\n"
+"LOGS_DIR=\"/data/static/ci-logs/libedn\"\n"
+"mkdir -p \"$LOGS_DIR\"\n"
+"LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
+"exec &> >(tee -a \"${LOGFILE}\")\n"
+"\n"
+"unset GIT_DIR\n"
+"CLONE=\"$(mktemp -d)\"\n"
+"git clone . \"$CLONE\"\n"
+"pushd \"$CLONE\"\n"
+"\n"
+"finish() {\n"
+" printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
+"}\n"
+"trap finish EXIT\n"
+"\n"
+"nix-build -A test\n"
+msgstr ""
+
+#~ msgid ""
+#~ "#!/usr/bin/env bash\n"
+#~ "set -Eeuo pipefail\n"
+#~ "set -x\n"
+#~ "\n"
+#~ "LOGS_PREFIX=\"/data/static/ci-logs/libedn\"\n"
+#~ "mkdir -p \"$LOGS_DIR\"\n"
+#~ "LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
+#~ "exec &> >(tee -a \"${LOGFILE}\")\n"
+#~ "\n"
+#~ "unset GIT_DIR\n"
+#~ "CLONE=\"$(mktemp -d)\"\n"
+#~ "git clone . \"$CLONE\"\n"
+#~ "pushd \"$CLONE\"\n"
+#~ "\n"
+#~ "finish() {\n"
+#~ " printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
+#~ "}\n"
+#~ "trap finish EXIT\n"
+#~ "\n"
+#~ "nix-build -A test\n"
+#~ msgstr ""
diff --git a/locale/fr/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po b/locale/fr/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
index cbc72d1..9734c9f 100644
--- a/locale/fr/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
+++ b/locale/fr/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
@@ -29,29 +29,6 @@ msgid ""
msgstr ""
msgid ""
-"#!/usr/bin/env bash\n"
-"set -Eeuo pipefail\n"
-"set -x\n"
-"\n"
-"LOGS_PREFIX=\"/data/static/ci-logs/libedn\"\n"
-"mkdir -p \"$LOGS_DIR\"\n"
-"LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
-"exec &> >(tee -a \"${LOGFILE}\")\n"
-"\n"
-"unset GIT_DIR\n"
-"CLONE=\"$(mktemp -d)\"\n"
-"git clone . \"$CLONE\"\n"
-"pushd \"$CLONE\"\n"
-"\n"
-"finish() {\n"
-" printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
-"}\n"
-"trap finish EXIT\n"
-"\n"
-"nix-build -A test\n"
-msgstr ""
-
-msgid ""
"We initially (lines #5 to #8) create a log file, named after *when* the run "
"is running and for *which* commit it is running for. The `exec` and `tee` "
"combo allows the output of the script to go both to `stdout` *and* the log "
@@ -89,3 +66,49 @@ msgid ""
"memory. So if it has to download too many things, or the build closure gets "
"too big, the server might very well run out of memory."
msgstr ""
+
+msgid ""
+"#!/usr/bin/env bash\n"
+"set -Eeuo pipefail\n"
+"set -x\n"
+"\n"
+"LOGS_DIR=\"/data/static/ci-logs/libedn\"\n"
+"mkdir -p \"$LOGS_DIR\"\n"
+"LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
+"exec &> >(tee -a \"${LOGFILE}\")\n"
+"\n"
+"unset GIT_DIR\n"
+"CLONE=\"$(mktemp -d)\"\n"
+"git clone . \"$CLONE\"\n"
+"pushd \"$CLONE\"\n"
+"\n"
+"finish() {\n"
+" printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
+"}\n"
+"trap finish EXIT\n"
+"\n"
+"nix-build -A test\n"
+msgstr ""
+
+#~ msgid ""
+#~ "#!/usr/bin/env bash\n"
+#~ "set -Eeuo pipefail\n"
+#~ "set -x\n"
+#~ "\n"
+#~ "LOGS_PREFIX=\"/data/static/ci-logs/libedn\"\n"
+#~ "mkdir -p \"$LOGS_DIR\"\n"
+#~ "LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
+#~ "exec &> >(tee -a \"${LOGFILE}\")\n"
+#~ "\n"
+#~ "unset GIT_DIR\n"
+#~ "CLONE=\"$(mktemp -d)\"\n"
+#~ "git clone . \"$CLONE\"\n"
+#~ "pushd \"$CLONE\"\n"
+#~ "\n"
+#~ "finish() {\n"
+#~ " printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
+#~ "}\n"
+#~ "trap finish EXIT\n"
+#~ "\n"
+#~ "nix-build -A test\n"
+#~ msgstr ""
diff --git a/locale/pt/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po b/locale/pt/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
index cbc72d1..9734c9f 100644
--- a/locale/pt/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
+++ b/locale/pt/LC_MESSAGES/_tils/2020-11-12-diy-bare-bones-ci-server-with-bash-and-nix.po
@@ -29,29 +29,6 @@ msgid ""
msgstr ""
msgid ""
-"#!/usr/bin/env bash\n"
-"set -Eeuo pipefail\n"
-"set -x\n"
-"\n"
-"LOGS_PREFIX=\"/data/static/ci-logs/libedn\"\n"
-"mkdir -p \"$LOGS_DIR\"\n"
-"LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
-"exec &> >(tee -a \"${LOGFILE}\")\n"
-"\n"
-"unset GIT_DIR\n"
-"CLONE=\"$(mktemp -d)\"\n"
-"git clone . \"$CLONE\"\n"
-"pushd \"$CLONE\"\n"
-"\n"
-"finish() {\n"
-" printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
-"}\n"
-"trap finish EXIT\n"
-"\n"
-"nix-build -A test\n"
-msgstr ""
-
-msgid ""
"We initially (lines #5 to #8) create a log file, named after *when* the run "
"is running and for *which* commit it is running for. The `exec` and `tee` "
"combo allows the output of the script to go both to `stdout` *and* the log "
@@ -89,3 +66,49 @@ msgid ""
"memory. So if it has to download too many things, or the build closure gets "
"too big, the server might very well run out of memory."
msgstr ""
+
+msgid ""
+"#!/usr/bin/env bash\n"
+"set -Eeuo pipefail\n"
+"set -x\n"
+"\n"
+"LOGS_DIR=\"/data/static/ci-logs/libedn\"\n"
+"mkdir -p \"$LOGS_DIR\"\n"
+"LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
+"exec &> >(tee -a \"${LOGFILE}\")\n"
+"\n"
+"unset GIT_DIR\n"
+"CLONE=\"$(mktemp -d)\"\n"
+"git clone . \"$CLONE\"\n"
+"pushd \"$CLONE\"\n"
+"\n"
+"finish() {\n"
+" printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
+"}\n"
+"trap finish EXIT\n"
+"\n"
+"nix-build -A test\n"
+msgstr ""
+
+#~ msgid ""
+#~ "#!/usr/bin/env bash\n"
+#~ "set -Eeuo pipefail\n"
+#~ "set -x\n"
+#~ "\n"
+#~ "LOGS_PREFIX=\"/data/static/ci-logs/libedn\"\n"
+#~ "mkdir -p \"$LOGS_DIR\"\n"
+#~ "LOGFILE=\"${LOGS_DIR}/$(date -Is)-$(git rev-parse master).log\"\n"
+#~ "exec &> >(tee -a \"${LOGFILE}\")\n"
+#~ "\n"
+#~ "unset GIT_DIR\n"
+#~ "CLONE=\"$(mktemp -d)\"\n"
+#~ "git clone . \"$CLONE\"\n"
+#~ "pushd \"$CLONE\"\n"
+#~ "\n"
+#~ "finish() {\n"
+#~ " printf \"\\n\\n>>> exit status was %s\\n\" \"$?\"\n"
+#~ "}\n"
+#~ "trap finish EXIT\n"
+#~ "\n"
+#~ "nix-build -A test\n"
+#~ msgstr ""